## ironic-python-agent 9.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netifaces>=0.10.4 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
Pint>=0.5 # BSD
psutil>=3.2.2 # BSD
pyudev>=0.18 # LGPLv2.1+
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.2.0 # Apache-2.0
ironic-lib>=5.1.0 # Apache-2.0
Werkzeug>=2.0.0 # BSD License
cryptography>=2.3 # BSD/Apache-2.0
tooz>=2.7.2 # Apache-2.0

=== doc/requirements.txt ===
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
ironic-python-agent (9.1.0-1ubuntu1) mantic; urgency=medium

  * debian/control: Drop uncessary firmware dependency

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 26 Jun 2023 12:02:21 -0400

ironic-python-agent (9.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1032135)

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Feb 2023 15:09:26 +0100

=== debian/control ===
Source: ironic-python-agent
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 libffi-dev,
 openstack-pkg-tools,
 python3-all,
 python3-all-dev,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-cryptography,
 python3-eventlet,
 python3-hardware,
 python3-ironic-lib,
 python3-kazoo,
 python3-netifaces,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pint,
 python3-psutil,
 python3-pyudev,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-werkzeug,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-python-agent
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-python-agent.git
Homepage: https://github.com/openstack/ironic-python-agent

Package: ironic-python-agent
Architecture: all
Depends:
 chrony,
 curl,
 dmidecode,
 dosfstools,
 e2fsprogs,
 efibootmgr,
 ethtool,
 fio,
 gdisk,
 genisoimage,
 git,
 hdparm,
 infiniband-diags,
 iptables,
 kmod,
 libguestfs-tools,
 lldpad,
 lshw,
 man-db,
 mdadm,
 nvme-cli,
 open-iscsi,
 parted,
 pciutils,
 psmisc,
 python3-cryptography,
 python3-eventlet,
 python3-guestfs,
 python3-hardware,
 python3-ironic-lib,
 python3-kazoo,
 python3-libvirt,
 python3-netifaces,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-pint,
 python3-psutil,
 python3-pyudev,
 python3-requests,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-werkzeug,
 qemu-utils,
 rsync,
 smartmontools,
 stress-ng,
 sysbench,
 tuned,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 amd64-microcode,
 firmware-misc-nonfree,
 intel-microcode,
Description: bare metal hypervisor API for OpenStack - Python Agent
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python agent, to be deployed on the discovery image
 or ramdisk.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf *.egg-info build
	rm -f debian/*.init debian/*.service
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic_python_agent\.tests\.unit.*'
endif
	mkdir -p $(CURDIR)/debian/ironic-python-agent/etc
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent.conf \
		--wrap-width 140 \
		--namespace ironic-python-agent
	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic-python-agent 9.4.3

=== debian/changelog ===
ironic-python-agent (9.4.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstrema release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 06 Nov 2025 08:06:54 +0000

ironic-python-agent (9.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to compat level 11, which installs the .service.
  * Install and use /etc/ironic-python-agent/ironic-python-agent.conf.
  * Add init script.
  * Add log folder life cycle management and logrotate.
  * Rebased remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Aug 2023 09:38:01 +0200

## ironic-python-agent 9.7.3

=== debian/changelog ===
ironic-python-agent (9.7.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 02 Oct 2025 08:49:51 +0000

ironic-python-agent (9.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:37:55 +0200

ironic-python-agent (9.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 15:12:38 +0200

ironic-python-agent (9.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:11:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ironic-python-agent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  libffi-dev,
  openstack-pkg-tools,
@@ -54,6 +53,7 @@
  efibootmgr,
  ethtool,
  fio,
+ firmware-linux-free,
  gdisk,
  genisoimage,
  git,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+IPA_CONF=$(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent/ironic-python-agent.conf
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3
@@ -25,12 +27,14 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2 'ironic_python_agent\.tests\.unit.*'
 endif
-	mkdir -p $(CURDIR)/debian/ironic-python-agent/etc
+	mkdir -p $(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
-		--output-file $(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent.conf \
+		--output-file $(IPA_CONF) \
 		--wrap-width 140 \
 		--namespace ironic-python-agent
 	dh_install
 
+	pkgos-fix-config-default $(NOVA_CONF) DEFAULT collect_lldp true
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## ironic-python-agent 9.11.0

=== debian/changelog ===
ironic-python-agent (9.11.0-3) unstable; urgency=medium

  * autopkgtest: blacklist test_list_network_vlan_invalid_int failing on
    Debian CI.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 May 2024 14:15:12 +0200

ironic-python-agent (9.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 16:32:35 +0200

ironic-python-agent (9.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 12:55:45 +0100

ironic-python-agent (9.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-not_called-needs-assert.patch applied upstream.
  * Require python3-ironic-lib (>= 6).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 14:18:59 +0100

ironic-python-agent (9.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add fix-not_called-needs-assert.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 11:29:13 +0100

## ironic-python-agent 9.11.2

=== debian/changelog ===
ironic-python-agent (9.11.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:50:16 +0000

## ironic-python-agent 9.11.3

=== debian/changelog ===
ironic-python-agent (9.11.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Thu, 06 Nov 2025 08:02:19 +0000

ironic-python-agent (9.11.2-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 12:49:45 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-cryptography,
  python3-eventlet,
  python3-hardware,
- python3-ironic-lib,
+ python3-ironic-lib (>= 6.0.0),
  python3-kazoo,
  python3-netifaces,
  python3-oslo.concurrency,
@@ -75,7 +75,7 @@
  python3-eventlet,
  python3-guestfs,
  python3-hardware,
- python3-ironic-lib,
+ python3-ironic-lib (>= 6.0.0),
  python3-kazoo,
  python3-libvirt,
  python3-netifaces,

## ironic-python-agent 9.14.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
eventlet>=0.18.2 # MIT
netifaces>=0.10.4 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
Pint>=0.5 # BSD
psutil>=3.2.2 # BSD
pyudev>=0.18 # LGPLv2.1+
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.2.0 # Apache-2.0
ironic-lib>=6.0.0 # Apache-2.0
Werkzeug>=2.0.0 # BSD License
cryptography>=2.3 # BSD/Apache-2.0
tooz>=2.7.2 # Apache-2.0

=== debian/changelog ===
ironic-python-agent (9.14.0-5) unstable; urgency=medium

  * Fix syntax warning (Closes: #1085651).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 14:38:34 +0100

ironic-python-agent (9.14.0-4) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian/control: drop Depends: firmware-linux-free.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 11:23:08 +0100

ironic-python-agent (9.14.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090422).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:43:49 +0100

ironic-python-agent (9.14.0-2) unstable; urgency=medium

  * Add Replace_crypt_module.patch (Closes: #1089531).
  * Blacklist test_inspector.TestWaitForDhcp.test_timeout

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Dec 2024 15:32:23 +0100

ironic-python-agent (9.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add qemu-utils as build-depends because of unit tests now using it.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 22:56:01 +0200

ironic-python-agent (9.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 15:57:27 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  python3-testtools,
  python3-tooz,
  python3-werkzeug,
+ qemu-utils,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-python-agent
 Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-python-agent.git
@@ -53,7 +54,6 @@
  efibootmgr,
  ethtool,
  fio,
- firmware-linux-free,
  gdisk,
  genisoimage,
  git,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 IPA_CONF=$(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent/ironic-python-agent.conf
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -25,7 +25,7 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic_python_agent\.tests\.unit.*'
+	pkgos-dh_auto_test --no-py2 'ironic_python_agent\.tests\.unit\.(?!test_inspector\.TestWaitForDhcp\.test_timeout)'
 endif
 	mkdir -p $(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic-python-agent/tags .*/(\d[brc\d\.]+)\.tar\.gz

## ironic-python-agent 9.14.1

=== debian/changelog ===
ironic-python-agent (9.14.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 24 Sep 2025 10:48:45 +0000

## ironic-python-agent 10.2.0

=== requirements.txt ===
pbr>=6.0.0 # Apache-2.0
eventlet>=0.18.2 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=8.0.0 # Apache-2.0
Pint>=0.5 # BSD
psutil>=3.2.2 # BSD
pyudev>=0.18 # LGPLv2.1+
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.2.0 # Apache-2.0
Werkzeug>=2.0.0 # BSD License
cryptography>=2.3 # BSD/Apache-2.0
tooz>=2.7.2 # Apache-2.0
zeroconf>=0.24.0 # LGPL

=== debian/changelog ===
ironic-python-agent (10.2.0-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 21 Mar 2025 07:53:37 +0000

ironic-python-agent (10.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:51:09 +0100

ironic-python-agent (10.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.
  * Rebased remove-broken-test.patch.
  * Removed Replace_crypt_module.patch applied upstream.
  * Add touch ironic_python_agent/metrics_lib/__init__.py as the init file is
    missing from upstream source.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:57:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_install:
+	touch ironic_python_agent/metrics_lib/__init__.py
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## ironic-python-agent 10.2.1

=== debian/changelog ===
ironic-python-agent (10.2.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:53:46 +0000

ironic-python-agent (10.2.0-3) unstable; urgency=medium

  * Blacklist TestStandbyExtension.test_execute_bootc_install that is failing
    under riscv.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 15:48:41 +0200

ironic-python-agent (10.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:22:05 +0100

## ironic-python-agent 10.2.2

=== debian/changelog ===
ironic-python-agent (10.2.2-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Thu, 06 Nov 2025 07:59:54 +0000

ironic-python-agent (10.2.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:50:19 +0200

## ironic-python-agent 11.1.0

=== debian/changelog ===
ironic-python-agent (11.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:45:20 +0200

## ironic-python-agent 11.2.0

=== requirements.txt ===
pbr>=6.0.0 # Apache-2.0
oslo.config>=9.7.1 # Apache-2.0
oslo.concurrency>=7.1.0 # Apache-2.0
oslo.log>=7.1.0 # Apache-2.0
oslo.utils>=8.2.0 # Apache-2.0
Pint>=0.5 # BSD
psutil>=3.2.2 # BSD
pyudev>=0.18 # LGPLv2.1+
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.2.0 # Apache-2.0
Werkzeug>=2.0.0 # BSD License
cryptography>=2.3 # BSD/Apache-2.0
tooz>=2.7.2 # Apache-2.0
zeroconf>=0.24.0 # LGPL
cheroot>=10.0.1 # BSD

=== doc/requirements.txt ===
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
ironic-python-agent (11.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2025 09:25:42 +0200

ironic-python-agent (11.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 19:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,14 @@
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
+ python3-cheroot,
  python3-coverage,
  python3-cryptography,
- python3-eventlet,
  python3-hardware,
- python3-ironic-lib (>= 6.0.0),
  python3-kazoo,
- python3-netifaces,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.log,
- python3-oslo.service,
  python3-oslo.utils,
  python3-oslotest,
  python3-pint,
@@ -37,6 +34,7 @@
  python3-testtools,
  python3-tooz,
  python3-werkzeug,
+ python3-zeroconf,
  qemu-utils,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-python-agent
@@ -71,18 +69,15 @@
  parted,
  pciutils,
  psmisc,
+ python3-cheroot,
  python3-cryptography,
- python3-eventlet,
  python3-guestfs,
  python3-hardware,
- python3-ironic-lib (>= 6.0.0),
  python3-kazoo,
  python3-libvirt,
- python3-netifaces,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.log,
- python3-oslo.service,
  python3-oslo.utils,
  python3-pbr,
  python3-pint,
@@ -93,6 +88,7 @@
  python3-tenacity,
  python3-tooz,
  python3-werkzeug,
+ python3-zeroconf,
  qemu-utils,
  rsync,
  smartmontools,

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic_python_agent\.tests\.unit\.(?!test_inspector\.TestWaitForDhcp\.test_timeout)'
+	# Failing under riscv:
+	# extensions.test_standby.TestStandbyExtension.test_execute_bootc_install
+	pkgos-dh_auto_test --no-py2 'ironic_python_agent\.tests\.unit\.(?!test_inspector\.TestWaitForDhcp\.test_timeout|extensions\.test_standby\.TestStandbyExtension\.test_execute_bootc_install)'
 endif
 	mkdir -p $(CURDIR)/debian/ironic-python-agent/etc/ironic-python-agent
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic-python-agent refs/tags/(\d[brc\d\.]+)
